EDIT - bug #10068

Changing focus to accepted taxon does not work
05/30/2022 11:54 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal Found in Version:

Description

After opening a the name editor with focus on a synonym, the change of focus to the accepted taxon does not work, respectively not
before changing the focus to another synonym and then to the accepted taxon.

mail ERS:
Hallo zusammen,
folgendes ist mir und meinen Studenten aufgefallen:

wenn ich im Taxeditor nach einem Namen suche, der sich als Synonym herausstellt, 6ffnet sich der Freitexteditor so, dass der
gesuchte Name (das Synonym) aktiv ist. Daher werden mir an dieser Stelle keine Faktendaten zum akzeptierten Taxon angezeigt.
Die méchte ich aber sehen, weil ich ja klassischerweise nach einem Namen suche, um dann neue Faktendaten (z.B.
Verbreitungsdaten) zum akzeptierten Taxon eingeben zu kdnnen.

Um das tun zu kénnen, versuche ich jetzt nach der Suche, die erste Zeile im Freitexteditor (das akzeptierte Taxon) zu aktivieren,
indem ich mit dem Cursor in die erste Zeile gehe und doppelklicke. An der Stelle vermute ich einen echten bug;

Denn Doppelklicken auf den akzeptierten Namen zeigt tberhaupt keine Wirkung. Doppelklicken auf jedes andere Synonym aktiviert
dieses, und danach kann auch der akzeptierte Name durch Doppelklicken aktiviert werden. Ich mdchte diesen aber gleich im ersten
Schritt aktivieren, damit ich sofort Faktendaten eingeben kann. Dieses Verhalten ist auch fir die Dateneingabe durch Studenten sehr
wichtig.

Kénnt ihr das beschriebene Verhalten des Editors nachvollziehen? Ein Beispiel fir ein Synonym ware Evax pygmaea. Faktendaten
mochte ich anschlieBend sofort zum akzeptierten Namen Filago pygmaea eingeben.

Related issues:

Related to EDIT - bug #8953: Focus not correctly evaluated for details view w... In Progress
Related to EDIT - bug #10138: Details view is not updated after freetext change Closed
Related to EDIT - bug #10186: Problems with session handling in taxeditor Closed

Associated revisions

Revision a5a95b64 - 01/05/2023 04:46 PM - Andreas Miiller

ref #10068 fix start focus in Taxon Editor

History

#1 - 06/07/2022 02:19 PM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.44

#2 - 01/05/2023 02:46 PM - Katja Luther
- Status changed from New to Feedback
- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Release 5.44 to Release 5.35

This issue seems to be solved by #10138 and/or #10186. We can remove the version or set it to the current milestone (5.35).

#3 - 01/05/2023 02:54 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/10138
https://dev.e-taxonomy.eu/redmine/issues/10186

Katja Luther wrote in #note-2:

This issue seems to be solved by #10138 and/or #10186. We can remove the version or set it to the current milestone (5.35).

Hmm, | still can reproduce this. It happens only after opening the synonym and first time click (single or double click) on the accepted taxon. Maybe
this is related to the fact that the synonym is not really selected (no blue focus) but only shown in the DetailsView.

#4 - 01/05/2023 02:59 PM - Andreas Miiller

- Related to bug #8953: Focus not correctly evaluated for details view when switching between names added

#5 - 01/05/2023 03:01 PM - Andreas Miiller
- Related to bug #10138: Details view is not updated after freetext change added

#6 - 01/05/2023 03:01 PM - Andreas Miiller
- Related to bug #10186: Problems with session handling in taxeditor added

#7 - 01/05/2023 03:10 PM - Katja Luther
- Status changed from Feedback to New

- Target version changed from Release 5.35 to Release 5.44

ok,then we keep it in 5.36

#8 - 01/05/2023 04:57 PM - Andreas Miiller

- Status changed from New to Resolved

- Priority changed from New to Highest

- Target version changed from Release 5.44 to Release 5.35

- % Done changed from 0 to 70

fixed with commit:a5a95b645c5976. Please review. It also solves the issue that when opening the Taxon Editor the focus is not set / not visible. Was
there another ticket for this? | did not find any.

#9 - 01/09/2023 10:25 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

This works now.
